FROM java:8
MAINTAINER king <1609724385@qq.com>
VOLUME /tmp
COPY target/sentinel_dashboard.jar sentinel_dashboard.jar
COPY --from=hengyunabc/arthas:latest /opt/arthas /opt/arthas
ENV TimeZone=Asia/Shanghai
ENV active=dev
ENV JAVA_OPTS="-Xmx512M -Xms512M"
RUN ln -snf /usr/share/zoneinfo/$TimeZone /etc/localtime && echo $TimeZone > /etc/timezone
ENTRYPOINT java $JAVA_OPTS -Djava.security.egd=file:/dev/./urandom -jar /sentinel_dashboard.jar --spring.profiles.active=$active
